package com.yeejoin.amos.patrol.business.param;

import com.yeejoin.amos.patrol.core.common.request.CommonPageable;

/**
 * 巡检计划查询参数
 * @author suhuiguang
 *
 */
public class PlanInfoPageParam extends CommonPageable {
	/**
	 * 计划名称
	 */
	private String planName;
	/**
	 * 计划类型
	 */
	private String planType;
	/**
	 * 巡检路线
	 */
	private String routeId;
	/**
	 * 备注说明
	 */
	private String remark;
	/**
	 * 机构
	 */
	private String orgCode;
	/**
	 * 机构
	 */
	private String deptId;
	/**
	 * 机构
	 */
	private String expression;
	
	/**
	 * 人员编号
	 */
	private String userId;

	public String getDeptId() {
		return deptId;
	}
	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}
	public String getPlanName() {
		return planName;
	}
	public void setPlanName(String planName) {
		this.planName = planName;
	}
	public String getPlanType() {
		return planType;
	}
	public void setPlanType(String planType) {
		this.planType = planType;
	}
	public String getRouteId() {
		return routeId;
	}
	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public String getExpression() {
		return expression;
	}
	public void setExpression(String expression) {
		this.expression = expression;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
}
